Instantiates the attribute class represented by this ReflectionAttribute class and arguments

- « ReflectionAttribute::isRepeated

- Reflector »

- PHP Manual
- ReflectionAttribute
- Instantiates the attribute class represented by this ReflectionAttribute class and arguments

# ReflectionAttribute::newInstance

(PHP 8)

ReflectionAttribute::newInstance — Instantiates the attribute class represented by this ReflectionAttribute class and arguments

### Description

public ReflectionAttribute::newInstance(): object

Instantiates the attribute class represented by this ReflectionAttribute class and arguments.

### Parameters

This function has no parameters.

### Return Values

New instance of the attribute.